Page MenuHomePhabricator

[C-API][DIBuilder] Added DIFlags in LLVMDIBuilderCreateBasicType
ClosedPublic

Authored by Chirag on Aug 15 2018, 10:55 PM.

Details

Summary

Added DIFlags in LLVMDIBuilderCreateBasicType to add optional DWARF attributes, such as DW_AT_endianity.

Diff Detail

Repository
rL LLVM

Event Timeline

Chirag created this revision.Aug 15 2018, 10:55 PM

This change will support to add optional dwarf attributes to tag_base_type entries.
At the moment only DW_AT_endianity is supported. which is useful for bi-endian code generation such as scaler-storage-order extension in gcc

This is an extension to commit https://reviews.llvm.org/rL339714

whitequark accepted this revision.Aug 15 2018, 11:39 PM
This revision is now accepted and ready to land.Aug 15 2018, 11:39 PM
Chirag updated this revision to Diff 160971.Aug 15 2018, 11:43 PM
  • minor format fixes.

Hello whitequark.

Thanks for fast response.
I do not have write access to repo, can you kindly push this changes?

Regards,

Chirag updated this revision to Diff 161173.Aug 17 2018, 12:19 AM
  • fixed mistake with go.
Chirag requested review of this revision.Aug 17 2018, 12:19 AM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 19 2018, 4:40 PM
This revision was automatically updated to reflect the committed changes.